---
layout: memberPage
type: news
title: CoAsia Nexell joins SOAFEE SIG
description: New member announcement – click for more details on CoAsia Nexell
date: 2022-12-13
memberId: coasia_nexell

banner:
  background: banner/banner1.jpg

Card:
  Class: new-member
---

# CoAsia Nexell joins SOAFEE SIG

The SOAFEE community are excited to welcome CoAsia Nexell as a voting member of the SOAFEE SIG.

## Why CoAsia Nexell are joining SOAFEE

CoAsia Nexell belives SOAFEE will become a standard architecture in software-defined vehicle industry. Automotive industry grows faster. and it required high performance SoC and software with in high security levels. Our customers and partners need a more efficient and definitive products from SoC to software. Our technology, custom SOC services, automotive solution experience can make huge synerge to improve future silicon industry and software with a member of SOAFEE working group.

## About CoAsia Nexell

CoAsia Nexell is a Fabless SoC and a SoC design service company that has been introduced own branded Application Processor (AP) SoC to Automotive infotainment and IoT application markets and it also has been successfully developed and delivered multiple custom designed ASIC SoC service to customers with latest Linux, Android OS BSP and evaluation hardware PCB.

Benefit and strength that CoAsia Nexell provides to partners and customers is, it’s market proven, configurable SoC platforms which have embedded own GPU (Graphic Processor Unit) and various IPs as like latest CPU, multimedia codec, memory controllers and related software development environments as like evaluation boards and device drivers for multiple OS provide best Price-performance competitiveness and time to market opportunities.